# azure.mgmt.powerbiembedded.models module

class `azure.mgmt.powerbiembedded.models.``Error`(code=None, message=None, target=None, details=None)

  Bases: `msrest.serialization.Model`

  Error.

  Parameters:

  - code (str) –
  - message (str) –
  - target (str) –
  - details (list of `ErrorDetail`) –

exception `azure.mgmt.powerbiembedded.models.``ErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘Error’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.powerbiembedded.models.``ErrorDetail`(code=None, message=None, target=None)

  Bases: `msrest.serialization.Model`

  ErrorDetail.

  Parameters:

  - code (str) –
  - message (str) –
  - target (str) –

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollection`(id=None, name=None, type=None, location=None, tags=None, properties=None)

  Bases: `msrest.serialization.Model`

  WorkspaceCollection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource id
  - name (str) – Workspace collection name
  - type (str) – Resource type
  - location (str) – Azure location
  - tags (dict) –
  - properties (object) – Properties

  Variables: | sku (`AzureSku`) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``AzureSku`(*args, **kwargs)

  Bases: `msrest.serialization.Model`

  AzureSku.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – SKU name. Default value: “S1” .
  - tier (str) – SKU tier. Default value: “Standard” .

  Allow attribute setting via kwargs on initialization.

  `name` = 'S1'
  `tier` = 'Standard'

class `azure.mgmt.powerbiembedded.models.``Workspace`(id=None, name=None, type=None, properties=None)

  Bases: `msrest.serialization.Model`

  Workspace.

  Parameters:

  - id (str) – Workspace id
  - name (str) – Workspace name
  - type (str) – Resource type
  - properties (object) – Property bag

class `azure.mgmt.powerbiembedded.models.``OperationList`(value=None)

  Bases: `msrest.serialization.Model`

  OperationList.

  Parameters: | value (list of `Operation`) –

class `azure.mgmt.powerbiembedded.models.``Operation`(name=None, display=None)

  Bases: `msrest.serialization.Model`

  Operation.

  Parameters:

  - name (str) – The name of the operation being performed on this particular object. It should match the action name that appears in RBAC / the event service.
  - display (`Display`) –

class `azure.mgmt.powerbiembedded.models.``Display`(provider=None, resource=None, operation=None, description=None, origin=None)

  Bases: `msrest.serialization.Model`

  Display.

  Parameters:

  - provider (str) – The localized friendly form of the resource provider name – it is expected to also include the publisher/company responsible. It should use Title Casing and begin with “Microsoft” for 1st party services.
  - resource (str) – The localized friendly form of the resource type related to this action/operation – it should match the public documentation for the resource provider. It should use Title Casing – for examples, please refer to the “name” section.
  - operation (str) – The localized friendly name for the operation, as it should be shown to the user. It should be concise (to fit in drop downs) but clear (i.e. self-documenting). It should use Title Casing and include the entity/resource to which it applies.
  - description (str) – The localized friendly description for the operation, as it should be shown to the user. It should be thorough, yet concise – it will be used in tool tips and detailed views.
  - origin (str) – The intended executor of the operation; governs the display of the operation in the RBAC UX and the audit logs UX. Default value is ‘user,system’

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionAccessKeys`(key1=None, key2=None)

  Bases: `msrest.serialization.Model`

  WorkspaceCollectionAccessKeys.

  Parameters:

  - key1 (str) – Access key 1
  - key2 (str) – Access key 2

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionAccessKey`(key_name=None)

  Bases: `msrest.serialization.Model`

  WorkspaceCollectionAccessKey.

  Parameters: | key_name (str or `AccessKeyName`) – Key name. Possible values include: ‘key1’, ‘key2’

class `azure.mgmt.powerbiembedded.models.``CreateWorkspaceCollectionRequest`(location=None, tags=None)

  Bases: `msrest.serialization.Model`

  CreateWorkspaceCollectionRequest.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - location (str) – Azure location
  - tags (dict) –

  Variables: | sku (`AzureSku`) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``UpdateWorkspaceCollectionRequest`(tags=None)

  Bases: `msrest.serialization.Model`

  UpdateWorkspaceCollectionRequest.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | tags (dict) –
  Variables: | sku (`AzureSku`) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``CheckNameRequest`(name=None, type='Microsoft.PowerBI/workspaceCollections')

  Bases: `msrest.serialization.Model`

  CheckNameRequest.

  Parameters:

  - name (str) – Workspace collection name
  - type (str) – Resource type. Default value: “Microsoft.PowerBI/workspaceCollections” .

class `azure.mgmt.powerbiembedded.models.``CheckNameResponse`(name_available=None, reason=None, message=None)

  Bases: `msrest.serialization.Model`

  CheckNameResponse.

  Parameters:

  - name_available (bool) – Specifies a Boolean value that indicates whether the specified Power BI Workspace Collection name is available to use.
  - reason (str or `CheckNameReason`) – Reason why the workspace collection name cannot be used. Possible values include: ‘Unavailable’, ‘Invalid’
  - message (str) – Message indicating an unavailable name due to a conflict or a description of the naming rules that are violated.

class `azure.mgmt.powerbiembedded.models.``MigrateWorkspaceCollectionRequest`(target_resource_group=None, resources=None)

  Bases: `msrest.serialization.Model`

  MigrateWorkspaceCollectionRequest.

  Parameters:

  - target_resource_group (str) – Name of the resource group that the Power BI Workspace Collections will be migrated to.
  - resources (list of str) –

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of WorkspaceCollection object

class `azure.mgmt.powerbiembedded.models.``WorkspacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Workspace object

class `azure.mgmt.powerbiembedded.models.``AccessKeyName`

  Bases: `enum.Enum`

  `key1` = 'key1'
  `key2` = 'key2'

class `azure.mgmt.powerbiembedded.models.``CheckNameReason`

  Bases: `enum.Enum`

  `invalid` = 'Invalid'
  `unavailable` = 'Unavailable'